=== debian/control ===
Source: ros-indigo-sr-tactile-sensors
Section: misc
Priority: extra
Maintainer: Shadow Robot's software team <software@shadowrobot.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-gazebo-msgs, ros-indigo-gazebo-ros, ros-indigo-roscpp, ros-indigo-sr-robot-msgs, ros-indigo-std-msgs, ros-indigo-visualization-msgs
Homepage: http://ros.org/wiki/sr_tactile_sensors
Standards-Version: 3.9.2

Package: ros-indigo-sr-tactile-sensors
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-gazebo-msgs, ros-indigo-gazebo-ros, ros-indigo-roscpp, ros-indigo-sr-robot-msgs, ros-indigo-std-msgs, ros-indigo-visualization-msgs
Description: An interface to the tactile sensors used in the Shadow Dextrous Hand. Also Contains a virtual set of sensors.
